# Generated from raiblocks_rpc-0.5.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name raiblocks_rpc

Name: rubygem-%{gem_name}
Version: 0.5.0
Release: 1%{?dist}
Summary: RPC wrapper for RaiBlocks nodes written in Ruby
License: MIT
URL: https://github.com/jcraigk/ruby_raiblocks_rpc
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) >= 0.11.3
# BuildRequires: rubygem(pry) < 0.12
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.52.1
# BuildRequires: rubygem(rubocop) < 0.53
# BuildRequires: rubygem(simplecov) >= 0.15.1
# BuildRequires: rubygem(simplecov) < 0.16
BuildArch: noarch

%description
An RPC wrapper for RaiBlocks nodes written in Ruby.It connects to an
individual node that you control. There's a client object you can use to make
explicit RPC calls as well as proxy objects with logically grouped methods.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/raiblocks_rpc.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 0.5.0-1
- Initial package
